PDA

Visualizza la versione completa : Apt-get errore con Python


meganoide
11-07-2007, 23:57
andando ad aggiornare OpenOffice.org, si voluto aggiornare anche Python-uno ma con il seguente errore:

Mi preparo a sostituire python-uno 2.2.0-1ubuntu3 (con .../python-uno_2.2.0-1ubuntu4_i386.deb) ...
pycentral: pycentral pkgremove: package python-uno is not installed
pycentral pkgremove: package python-uno is not installed
dpkg: attenzione - il vecchio script di pre-removal ha restituito un codice di errore 1
dpkg - provo quindi lo script dal nuovo pacchetto ...
pycentral: pycentral pkgremove: package python-uno is not installed
pycentral pkgremove: package python-uno is not installed
dpkg: errore processando /var/cache/apt/archives/python-uno_2.2.0-1ubuntu4_i386.deb (--unpack):
il sottoprocesso nuovo script di pre-removal ha restituito un codice di errore 1
pycentral: pycentral pkginstall: package python-uno is not installed
pycentral pkginstall: package python-uno is not installed
dpkg: errore durante la pulizia:
il sottoprocesso post-installation script ha restituito un codice di errore 1
Sono occorsi degli errori processando:
/var/cache/apt/archives/python-uno_2.2.0-1ubuntu4_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Se invece vado a rimuoverlo da Synaptic, ottengo il seguente errore:


E: python-uno: Il pacchetto si trova in uno stato di inconsistenza grave - dovresti reinstallarlo prima di rimuoverlo
solo che anche per rimuoverlo ottengo l'errore...

francofait
12-07-2007, 00:05
dpkg --force-all --configure -a && apt-get -f install

andy caps
12-07-2007, 00:11
prova con dpkg --remove --force-remove-reinstreq python-uno

altrimenti prova anche a rinominare provvisoriamente /usr/bin/pycentral

Loading